Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class AElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<AElem>
                      sharin.doc.builder.xhtml1.AElem

    public class AElem

extends GenericCommonElem<AElem>

Constructor Summary
`AElem(Object... nodes)`

Method Summary
`AElem` | `accesskey(Object value)`
`AElem` | `charset(Object value)`
`AElem` | `coords(Object value)`
`AElem` | `href(Object value)`
`AElem` | `hreflang(Object value)`
`AElem` | `name(Object value)`
`AElem` | `onblur(Object value)`
`AElem` | `onfocus(Object value)`
`AElem` | `rel(Object value)`
`AElem` | `rev(Object value)`
`AElem` | `shape(Object value)`
`AElem` | `shapeCircle()`
`AElem` | `shapeDefault()`
`AElem` | `shapePoly()`
`AElem` | `shapeRect()`
`AElem` | `tabindex(Object value)`
`AElem` | `target(Object value)`
`AElem` | `type(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AElem

    public AElem(Object... nodes)

Method Detail

### accesskey

    public AElem accesskey(Object value)

### charset

    public AElem charset(Object value)

### coords

    public AElem coords(Object value)

### href

    public AElem href(Object value)

### hreflang

    public AElem hreflang(Object value)

### name

    public AElem name(Object value)

### onblur

    public AElem onblur(Object value)

### onfocus

    public AElem onfocus(Object value)

### rel

    public AElem rel(Object value)

### rev

    public AElem rev(Object value)

### shape

    public AElem shape(Object value)

### shapeCircle

    public AElem shapeCircle()

### shapeDefault

    public AElem shapeDefault()

### shapePoly

    public AElem shapePoly()

### shapeRect

    public AElem shapeRect()

### tabindex

    public AElem tabindex(Object value)

### target

    public AElem target(Object value)

### type

    public AElem type(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.